{{- if .Values.api.enabled }}  
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "AppCtx.api.name" . }}-config
data:
  dbName: "{{ .Values.db.name }}"
  dbEndpoint: "{{ template "AppCtx.db.name" . }}-service.{{.Values.namespace}}"
{{- end }}